/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/*--------------------------------------------------------------
# Sitewide
--------------------------------------------------------------*/

.site-main {
	margin-top: 0 !important;
	margin-bottom: 0 !important;
}

.inside-article {
	padding-top: 0 !important;
	padding-bottom: 0 !important;
}

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/

.main-navigation .menu-toggle {
	background: var(--global-color-8) !important;
	border-radius: 5px;
}

/* Sub Menu Items */
#menu-item-108-sub-menu {
	padding: 16px;
	white-space: nowrap;
	width: fit-content;
	border-radius: 5px;
}

#menu-item-108-sub-menu li a {
	border-radius: 5px;
}

@media only screen and (max-width: 1106px) {
	.site-logo {
		width: 200px!important;
	}
	.sticky-navigation-logo
	{
		width:200px!important;
	}
	.sticky-enabled .main-navigation.is_stuck {
    padding: 16px 20px!important;
}
}

/*--------------------------------------------------------------
# Sticky Header
--------------------------------------------------------------*/

.sticky-enabled .main-navigation.is_stuck {
	background: #000000 !important;
	padding: 16px 40px;
}

/*--------------------------------------------------------------
# Off Canvas Menu
--------------------------------------------------------------*/

:root {
	--gp-slideout-width: 100% !important;
}

#generate-slideout-menu:before {
	position: absolute;
	width: 100%;
	height: 100%;
	content: "";
	background: var(--global-color-8);
	background-position: center center;
	background-size: cover;
	z-index: -1;
}

.offside-js--interact .offside,
.offside-js--interact .offside-sliding-element {
	transition: transform 0.5s cubic-bezier(0.16, 0.68, 0.43, 0.99) !important;
	-webkit-backface-visibility: hidden;
	-webkit-perspective: 1000;
}

button.slideout-exit.has-svg-icon {
	display: flex;
	justify-content: flex-end;
	color: #ffffff;
	font-size: 25px;
}

/*--------------------------------------------------------------
# Gravity Forms
--------------------------------------------------------------*/

#gform_1 label,
#gform_1 legend {
	color: #ffffff;
	font-weight: bold;
}

#gform_1 input[type="submit"] {
	width: 100% !important;
	background: var(--global-color-8);
	font-weight: bold;
	transition: 0.3s;
}

#gform_1 input[type="submit"]:hover {
	background: var(--global-color-9);
}

/*--------------------------------------------------------------
# Homepage
--------------------------------------------------------------*/

.ccd__books-arrow {
	position: absolute;
	bottom: -28px;
	left: 50%;
	transform: translateX(-50%);
}